$packageName = 'nestopia'
$url = 'http://prdownloads.sourceforge.net/nestopia/Nestopia140bin.zip?download'

try {
  $dest = $(Split-Path -parent $MyInvocation.MyCommand.Definition) + '\' + $packageName
  Install-ChocolateyZipPackage $packageName $url $dest

  $exePath = $(Join-Path $dest 'nestopia.exe')
  Install-ChocolateyDesktopLink $exePath
  $desktop = $([System.Environment]::GetFolderPath([System.Environment+SpecialFolder]::DesktopDirectory))
  Rename-Item $(Join-Path $desktop 'nestopia.exe.lnk') Nestopia.lnk

  Write-ChocolateySuccess "$packageName"
} catch {
  Write-ChocolateyFailure "$packageName" "$($_.Exception.Message)"
  throw
}